> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch current market prices



## OpenAPI

````yaml /openapi.json get /exchange/market-prices
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /exchange/market-prices:
    get:
      tags:
        - Orders
      summary: Fetch current market prices
      operationId: Exchange.Web.Controller.market_prices
      parameters:
        - description: Currency pair
          in: query
          name: symbol
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketPriceResponse'
          description: Market prices
        '404':
          $ref: '#/components/responses/not_found'
      callbacks: {}
components:
  schemas:
    MarketPriceResponse:
      description: Market Prices response
      oneOf:
        - $ref: '#/components/schemas/FetchMarketPriceResponse'
        - $ref: '#/components/schemas/ListMarketPricesResponse'
      title: MarketPriceResponse
    FetchMarketPriceResponse:
      description: Response schema for market prices
      properties:
        data:
          $ref: '#/components/schemas/MarketPrice'
      title: FetchMarketPriceResponse
      type: object
    ListMarketPricesResponse:
      description: Response schema for listing market prices
      properties:
        data:
          additionalProperties:
            $ref: '#/components/schemas/MarketPrice'
          type: object
      title: ListMarketPricesResponse
      type: object
    MarketPrice:
      description: Market price
      example:
        buy: 75000
        sell: 80000
      properties:
        buy:
          description: Maximum bid price, in major units
          type: string
        sell:
          description: Minimum ask price, in major units
          type: string
      title: MarketPrice
      type: object
  responses:
    not_found:
      content:
        application/json:
          schema:
            type: string
      description: Not Found

````